Skip to main content
POST
Create Target Credential

Authorizations

Authorization
string
header
required

API key generated from the MindFort dashboard. Pass as Authorization: Bearer <your-api-key>.

Path Parameters

target_id
string<uuid>
required

Body

application/json
credential_name
string
required
Required string length: 1 - 255
credential_type
enum<string>
required
Available options:
application_login,
magic_link,
email_mfa,
authenticator_2fa,
sms_mfa,
sms_login,
api_key
username
string | null
Maximum string length: 255
password
string | null
write-only
Required string length: 1 - 255
role
enum<string>
default:user
Available options:
user,
admin,
viewer,
editor,
custom
description
string | null
login_instructions
string | null
pending_email_id
string<uuid> | null
authenticator_2fa_secret
string | null
write-only
Required string length: 1 - 255
api_key_credential
object | null
write-only
sms_country_code
string | null
Pattern: ^[A-Za-z]{2}$

Response

201 - application/json

Credential stored

id
string<uuid>
required
role
string
required
api_key_configured
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
credential_name
string | null
username
string | null
description
string | null
login_instructions
string | null
credential_type
string | null
agentmail_email
string | null
authenticator_phone_number
string | null

System-provisioned phone number for SMS credentials; not a writable authenticator input.

api_key_placement
object | null
api_additional_fields
object | null